jQuery(document).ready(function() {
  jQuery(".ldfbt-learndash-select2").select2({ allowHtml: true });

  var wocInstalled = ldfbt_data.ldfbt_plugin_wc_install == 2 ? true : false;
  var eddInstalled = ldfbt_data.ldfbt_plugin_edd_install == 2 ? true : false;
  
  // if woocommerce is not installed
  if ( ! wocInstalled ) {
    jQuery( "input[name='ldfbt_upsells[ldfbt_plugin_type]'][value='woocom']" ).attr('disabled', true);
  }
  
  // if edd is not installed.
  if ( ! eddInstalled ) { 
    jQuery( "input[name='ldfbt_upsells[ldfbt_plugin_type]'][value='edd']" ).attr('disabled', true);
  }

  // if both plugin not installed disable every thing
  if ( ( ! wocInstalled ) && ( ! eddInstalled ) ) {
    jQuery( "input[name='ldfbt_upsells[ldfbt_plugin_type]']" ).attr('disabled', true);
    jQuery( "input[name='ldfbt_upsells[ldfbt_plugin_type]']" ).prop('checked', false );
    jQuery( "#ldfbt_upsells_ldfbt_widget_heading" ).attr('disabled', true);
  }

  // redirect to repective cart page wc or edd.
  jQuery("#ldfbt-course-add-to-cart").click(function(event){
    event.preventDefault();
    var postId = parseInt( jQuery(this).attr("data-course-id" ) );
      jQuery.ajax({
        method: 'POST',
        url: ldfbt_data.ajaxurl,
        data:{
            action: 'ldfbt_free_cart',
            postId: postId,
        },
        success: (res)=>{
          var red_url = JSON.parse(res);
          if( red_url['woocom'] )
            window.location.href = red_url['woocom']
          if( red_url['edd'] )
            window.location.href = red_url['edd'];
        }
    });
  });

  // redirect to same page after rated.
  jQuery(".ldfbt_hide_rate").click(function (event) {
    event.preventDefault();
    jQuery.ajax({
      method: 'POST',
      url: ldfbt_data.ajaxurl,
      data: {
        action: 'ldfbt_update',
        nonce: ldfbt_data.nonce,
      },
      success: (res) => {
        window.location.href = window.location.href
      }
    });
  });
});
